frontpage/urls.py
from django.urls import path, include
from frontpage import views

app_name = "frontpage"

urlpatterns = [
    path('', views.index, name="index"),
    path('contact-me/', views.contact_me, name="contact-me"),
    path('about-me/', views.about_me, name="about-me"),
    path('projects/', views.projects, name="projects")
]

jadwalku/urls.py
from django.urls import path, re_path
from django.conf.urls import url
from jadwalku import views

app_name = "jadwalku"

urlpatterns = [
    path('', views.jadwal, name="jadwal"),
    path('tambah-jadwal/', views.tambahJadwal, name = "tambah-jadwal"),
    url(r'^delete/(?P<delete_id>[0-9])$', views.delete, name="delete"),
]

lab5DjangoModels/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('frontpage.urls')),
    path('contact-me/jadwalku/', include('jadwalku.urls'))
]

frontpage/models.py
from django.db import models

# Create your models here.

jadwalku/models.py
from django.db import models

# Create your models here.
class Jadwal(models.Model):
    nama_kegiatan = models.CharField(max_length=20, unique = True) 
    # CharField untuk tipe karakter (contohnya string)
    tanggal = models.DateField()
    tempat = models.CharField(max_length=50)
    kategori = models.ForeignKey('Kategori', on_delete=models.DO_NOTHING)

    def __str__(self):
        return self.nama_kegiatan

class Kategori(models.Model):
    nama_kategori = models.CharField(max_length=50, unique = True)

    def __str__(self):
        return self.nama_kategori

jadwalku/forms.py
from django import forms
from jadwalku.models import Jadwal, Kategori

class FormKegiatan(forms.ModelForm):
    class Meta():
        model = Jadwal
        fields = "__all__"
        widgets = {
            'nama_kegiatan' : forms.TextInput(
                attrs = {
                    'class' : 'form-control',
                }
            ), 
            'tanggal' : forms.DateInput(
                attrs = {
                    'class' : 'form-control'
                }
            ),
            'tempat' : forms.TextInput(
                attrs = {
                    'class' : 'form-control'
                }
            )
        }

frontpage/views.py
from django.shortcuts import render


# Create your views here.
def index(request):
    return render(request, "frontpage/index.html", {})

def contact_me(request):
    return render(request, "frontpage/contact-me.html", {})

def about_me(request):
    return render(request, "frontpage/about-me.html", {})

def projects(request):
    return render(request, "frontpage/projects.html", {})

jadwalku/views.py
from django.shortcuts import render, redirect
from jadwalku.models import Jadwal, Kategori
from jadwalku.forms import FormKegiatan

# Create your views here.
def jadwal(request):
    kegiatan_list = Jadwal.objects.order_by('tanggal')
    form = FormKegiatan()
    query = {
        'form' : form,
        'halo' : 'andhika',
        'kegiatan_list' : kegiatan_list,
    }

    if request.method == 'POST':
        form = FormKegiatan(request.POST)

        if form.is_valid():
            form.save(commit = True)
            print("VALID")
            print("Name: "+ form.cleaned_data['nama_kegiatan'])
            print("Tanggal: "+ str(form.cleaned_data['tanggal']))
            print("Tempat: "+ form.cleaned_data['tempat'])



    return render(request, 'jadwalku/jadwal.html', context=query)

def tambahJadwal(request):
    form = FormKegiatan()
    query = {
        'form' : form,
        'halo' : 'andhika',
    }

    if request.method == 'POST':
        form = FormKegiatan(request.POST)

        if form.is_valid():
            form.save(commit = True)
            print("VALID")
            print("Name: "+ form.cleaned_data['nama_kegiatan'])
            print("Tanggal: "+ str(form.cleaned_data['tanggal']))
            print("Tempat: "+ form.cleaned_data['tempat'])



    return render(request, 'jadwalku/buat-jadwal.html', context=query)

def delete(request, delete_id):
    Jadwal.objects.filter(id=delete_id).delete()
    return redirect('jadwalku:jadwal')

templates/frontpage/base.html
<!DOCTYPE html>
{% load staticfiles %}

<html lang="en">
<head>
  <title>Andhika Yusup's Webpage</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
  <link rel="stylesheet" href='{% static "frontpage/css/style.css"%}'>
  <link href="https://fonts.googleapis.com/css?family=Playfair+Display:700&display=swap" rel="stylesheet"> 
  <link href="https://fonts.googleapis.com/css?family=Montserrat&display=swap" rel="stylesheet"> 
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
</head>
<body>
  <nav class="navbar navbar-default ">
      <div class="container-fluid">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#collapsemenu" aria-expanded="false">
            <span class="sr-only">Toggle Navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="{% url 'frontpage:index' %}">andhikayusup.</a>
        </div>
        <div class="collapse navbar-collapse" id="collapsemenu">
          <ul class="nav navbar-nav">
            <li class="{% block nav_item_home %}{% endblock nav_item_home %}"><a href="{% url 'frontpage:index' %}">Home</a></li>
            <li class="{% block nav_item_aboutme %}{% endblock nav_item_aboutme %}"><a href="#">About Me</a></li>
            <li class="{% block nav_item_projects %}{% endblock nav_item_projects %}"><a href="#">Projects</a></li>
            <li class="{% block nav_item_contactme %}{% endblock nav_item_contactme %} dropdown"><a href="#">Contact Me</a>
                <li class ="{% block nav_item_jadwalku %}{% endblock nav_item_jadwalku %}"><a href="{% url 'jadwalku:jadwal' %}">Jadwalku</a></li>
            </li>
          </ul>
        </div>
      </div>
    </nav>

    {% block content_block %}{% endblock %} 

      
</body>

</html>

templates/frontpage/contact-me.html
<!DOCTYPE html>
{% extends 'frontpage/base.html' %}
    {% block nav_item_contactme %}active{% endblock nav_item_contactme %}
    
    {% block content_block %}
        <h1>TES</h1>
    {% endblock %}

templates/frontpage/index.html
<!DOCTYPE html>

{% extends 'frontpage/base.html' %}
{% load staticfiles %}
    {% block nav_item_home %}active{% endblock nav_item_home %}

    {% block content_block %}
    <div class="container overflow-hidden p-md-5 m-md-1 text-center bg-light">
      <div class="container-intro col-md-6">
        <h1 class="display-2">I DO RESEARCH</h1>
        <p class="lead font-weight-normal text-justify">You are looking for digitilize your company? Try to explore some of my project ideas. Let’s see if these fits your company</p>
        <a class="btn btn-primary" href="#">Projects -></a>
      </div>
      <div class="col-md-6">
        <img id="imagerobot" src='{% static "frontpage/img/robot.png" %}' alt="">
      </div>
    </div>

    <div class="container container-intro-info text-center">
      <div class="col-md-6 text-center">
          <img src='{% static "frontpage/img/pp.jpg"%}' id="imagepp" alt="">
      </div>
      <div class="col-md-6 text-center">
          <h1 class="display-4">
            About Me
          </h1>
          <p style="font-size: 25px; margin-top: 100px" class=" text-j  ustify" >
              My Name is Andhika Yusup. I’d love to talk about Artificial Intellegence with you in person. I have been involved in many projects you’ll be amazed
          </p>
      </div>
      <a class="btn btn-danger" href="#" style="margin-top: 30px">Know Me Better -></a>
    </div>
    <div class="container">

    </div>
    {% endblock content_block %}  

templates/jadwalku/buat-jadwal.html
<form action="{% url 'jadwalku:tambah-jadwal' %}" class="form-control" method="POST">
    {% csrf_token %}
    {{form.as_p}}
    <input type="submit" class="btn btn-primary" onclick="">
</form>

templates/jadwalku/jadwal.html
{% extends 'frontpage/base.html' %}
    
    {% block nav_item_jadwalku %}active{% endblock nav_item_jadwalku %}
    
    {% block content_block %}
   
    <div class="container">
        <h1 class="judul col-sm-9">JadwalKU</h1>
    </div>

    <div class="container">
        <div class="row">
            <div class=" col-md-9 p-5">

            {% if kegiatan_list %}
                <table class="table table-hover">
                    <thead class="thead-light">
                        <th>Nama Kegiatan</th>
                        <th>Kategori</th>
                        <th>Tanggal</th>
                        <th>Tempat</th>
                    </thead>    
                
                {% for kegiatan in kegiatan_list %}
                    <div class="jadwal-items">
                        <tr> 
                            <td>{{ kegiatan.nama_kegiatan }}</td>
                            <td>{{ kegiatan.kategori }}</td>
                            <td>{{ kegiatan.tanggal }}</td>
                            <td>{{ kegiatan.tempat }}</td>
                            <td><a  class="btn btn-danger btn-sm align-middle" href="{% url 'jadwalku:delete' kegiatan.id %}">delete</a></td>
                        </tr>
                    </div>
                   
                {% endfor %}
                </table>

            {% else %}
                <p>Tidak Ada Jadwal!</p>
            {% endif %}
            </div>
            <div class="col-md-3 card tambah-kegiatan-container container">
                <div class="card-header container-judul-tambah-kegiatan">
                    <h2>Tambah Kegiatan</h2>
                </div>
                <div class="card-body">
                    <form action="{% url 'jadwalku:jadwal' %}" method="POST">
                        {% csrf_token %}
                        {{form.as_p}}
                        <input type="submit" class="btn btn-primary" value="Tambah" style="float: right;">
                    </form>
                </div>     
            </div>
        </div>
    </div>
        
        

    {% endblock %}

    
    